# MarkupValue

Struct in [Yarn.Markup](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup)

Inherits from `System.ValueType`

## Summary

A value associated with a [MarkupProperty](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup/yarn.markup.markupproperty) .

```csharp
public struct MarkupValue
```

## Remarks

You do not create instances of this struct yourself. It is created by objects that can parse markup, such as [Dialogue](https://docs.yarnspinner.dev/2.1/api/csharp/yarn/yarn.dialogue) .

## Methods

| Name                                                                                                                           | Description |
| ------------------------------------------------------------------------------------------------------------------------------ | ----------- |
| [ToString()](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup/yarn.markup.markupvalue/yarn.markup.markupvalue.tostring) |             |

## Properties

| Name                                                                                                                                 | Description                              |
| ------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------- |
| [BoolValue](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup/yarn.markup.markupvalue/yarn.markup.markupvalue.boolvalue)       | Gets the bool value of this property.    |
| [FloatValue](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup/yarn.markup.markupvalue/yarn.markup.markupvalue.floatvalue)     | Gets the float value of this property.   |
| [IntegerValue](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup/yarn.markup.markupvalue/yarn.markup.markupvalue.integervalue) | Gets the integer value of this property. |
| [StringValue](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup/yarn.markup.markupvalue/yarn.markup.markupvalue.stringvalue)   | Gets the string value of this property.  |
| [Type](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup/yarn.markup.markupvalue/yarn.markup.markupvalue.type)                 | Gets the value's type.                   |

## See Also

* [Dialogue.ParseMarkup(string)](https://docs.yarnspinner.dev/2.1/api/csharp/yarn/yarn.dialogue/yarn.dialogue.parsemarkup): Parses a line of text, and produces a [MarkupParseResult](https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup/yarn.markup.markupparseresult) containing the results.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.1/api/csharp/yarn.markup/yarn.markup.markupvalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
